OGRE: Ogre::TerrainGroup::TerrainSlot Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TerrainGroup::TerrainSlot Struct Reference

Slot for a terrain instance, together with its definition. More...

`#include <OgreTerrainGroup.h>`

Inheritance diagram for Ogre::TerrainGroup::TerrainSlot:
[legend]

## Public Member Functions
| TerrainSlot (long _x, long _y)
virtual | ~TerrainSlot ()
void | freeInstance ()
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Public Attributes
TerrainSlotDefinition | def
| Definition used to load the terrain. More...
Terrain * | instance
| Actual terrain instance. More...
long | x
| The coordinates of the terrain slot relative to the centre slot (signed). More...
long | y

## Detailed Description

Slot for a terrain instance, together with its definition.

## Constructor & Destructor Documentation

## ◆ TerrainSlot()

Ogre::TerrainGroup::TerrainSlot::TerrainSlot | ( | long | _x,
|  | long | _y
| ) |  |
| inline

## ◆ ~TerrainSlot()

virtual Ogre::TerrainGroup::TerrainSlot::~TerrainSlot | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ freeInstance()

void Ogre::TerrainGroup::TerrainSlot::freeInstance | ( |  | ) |

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ def

TerrainSlotDefinition Ogre::TerrainGroup::TerrainSlot::def

Definition used to load the terrain.

## ◆ instance

Terrain* Ogre::TerrainGroup::TerrainSlot::instance

Actual terrain instance.

## ◆ x

long Ogre::TerrainGroup::TerrainSlot::x

The coordinates of the terrain slot relative to the centre slot (signed).

## ◆ y

long Ogre::TerrainGroup::TerrainSlot::y

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h